Main Page Alphabetical List Data Structures File List Data Fields Globals

# _wmfAPI_Options Struct Reference

## Data Fields
void * | context
void *(* | malloc )(void *context, size_t size)
void *(* | realloc )(void *context, void *mem, size_t size)
void(* | free )(void *context, void *mem)
int | argc
char ** | argv
char ** | fontdirs
struct {
wmfFontMap * wmf
wmfMapping * sub
wmfMapping * ps
} | font
char * | sys_fontmap_file
char * | xtra_fontmap_file
char * | gs_fontmap_file
char * | write_file
void(* | function )(wmfAPI *)
char * | module
char ** | dirs
FILE * | debug_out
FILE * | error_out

## Field Documentation

int _wmfAPI_Options::argc

char** _wmfAPI_Options::argv

void* _wmfAPI_Options::context

FILE* _wmfAPI_Options::debug_out

char** _wmfAPI_Options::dirs

FILE* _wmfAPI_Options::error_out

struct { ... } _wmfAPI_Options::font

char** _wmfAPI_Options::fontdirs

void(* _wmfAPI_Options::free)(void* context,void* mem)

void(* _wmfAPI_Options::function)(wmfAPI*)

char* _wmfAPI_Options::gs_fontmap_file

void*(* _wmfAPI_Options::malloc)(void* context,size_t size)

char* _wmfAPI_Options::module

wmfMapping* _wmfAPI_Options::ps

void*(* _wmfAPI_Options::realloc)(void* context,void* mem,size_t size)

wmfMapping* _wmfAPI_Options::sub

char* _wmfAPI_Options::sys_fontmap_file

wmfFontMap* _wmfAPI_Options::wmf

char* _wmfAPI_Options::write_file

char* _wmfAPI_Options::xtra_fontmap_file

The documentation for this struct was generated from the following file:

- types.h